"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@heroku-cli/command");
class default_1 extends command_1.Command {
    constructor(argv, config) {
        super(argv, config);
        const client = new command_1.APIClient(this.config, {});
        client.defaults.host = process.env.HEROKU_DATA_HOST || 'postgres-api.heroku.com';
        client.defaults.headers = Object.assign({}, this.heroku.defaults.headers, { authorization: `Basic ${Buffer.from(':' + this.heroku.auth).toString('base64')}` });
        this.shogun = client;
    }
}
exports.default = default_1;
